#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'optionDialogSpecialWidget_base.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "optionDialogSpecialWidget_base.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kurllabel.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a optionDialogSpecialWidget_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
optionDialogSpecialWidget_base::optionDialogSpecialWidget_base( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "optionDialogSpecialWidget_base" );
    optionDialogSpecialWidget_baseLayout = new TQVBoxLayout( this, 0, 6, "optionDialogSpecialWidget_baseLayout"); 

    kcfg_ShowPS = new TQCheckBox( this, "kcfg_ShowPS" );
    optionDialogSpecialWidget_baseLayout->addWidget( kcfg_ShowPS );

    buttonGroup3 = new TQButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setColumnLayout(0, TQt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new TQGridLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( TQt::AlignTop );

    editorChoice = new KComboBox( FALSE, buttonGroup3, "editorChoice" );
    editorChoice->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, editorChoice->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( editorChoice, 1, 1, 1, 2 );

    textLabel3 = new TQLabel( buttonGroup3, "textLabel3" );
    textLabel3->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel3, 2, 0 );

    textLabel4 = new TQLabel( buttonGroup3, "textLabel4" );
    textLabel4->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel4->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel4, 3, 0 );

    editorDescription = new TQLabel( buttonGroup3, "editorDescription" );
    editorDescription->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, editorDescription->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( editorDescription, 2, 2, 1, 2 );

    kcfg_EditorCommand = new KLineEdit( buttonGroup3, "kcfg_EditorCommand" );
    kcfg_EditorCommand->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, kcfg_EditorCommand->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( kcfg_EditorCommand, 3, 3, 1, 2 );

    textLabel2 = new TQLabel( buttonGroup3, "textLabel2" );
    textLabel2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel2, 1, 0 );

    urll = new KURLLabel( buttonGroup3, "urll" );
    urll->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, urll->sizePolicy().hasHeightForWidth() ) );
    urll->setAlignment( int( KURLLabel::AlignVCenter | KURLLabel::AlignRight ) );

    buttonGroup3Layout->addWidget( urll, 0, 2 );
    spacer3 = new TQSpacerItem( 390, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    buttonGroup3Layout->addMultiCell( spacer3, 0, 0, 0, 1 );
    optionDialogSpecialWidget_baseLayout->addWidget( buttonGroup3 );
    languageChange();
    resize( TQSize(519, 201).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
optionDialogSpecialWidget_base::~optionDialogSpecialWidget_base()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void optionDialogSpecialWidget_base::languageChange()
{
    kcfg_ShowPS->setText( tr2i18n( "Show PostScript specials" ) );
    TQToolTip::add( kcfg_ShowPS, tr2i18n( "If in doubt, enable this option." ) );
    TQWhatsThis::add( kcfg_ShowPS, tr2i18n( "Some DVI files contain PostScript graphics. If enabled, KDVI will use the Ghostview PostScript interpreter to display these. You probably want to enable this option, unless you have a DVI-file whose PostScript part is broken, or too large for your machine." ) );
    buttonGroup3->setTitle( tr2i18n( "Editor for Inverse Search" ) );
    TQToolTip::add( editorChoice, tr2i18n( "Choose an editor which is used in inverse search." ) );
    TQWhatsThis::add( editorChoice, tr2i18n( "<p>Some DVI files contain 'inverse search' information. If such a DVI file is loaded, you can right-click into KDVI and an editor will open, load the TeX file and jump to the correct position. You can select your favorite editor here. If in doubt, 'nedit' is usually a good choice.</p>\n"
"<p>Check the KDVI manual to see how to prepare DVI files which support the inverse search.</p>" ) );
    textLabel3->setText( tr2i18n( "Description:" ) );
    textLabel4->setText( tr2i18n( "Shell command:" ) );
    editorDescription->setText( TQString::null );
    TQToolTip::add( editorDescription, tr2i18n( "Explains about the editor's capabilities in conjunction with inverse search." ) );
    TQWhatsThis::add( editorDescription, tr2i18n( "<p>Not all editors are well suited for inverse search. For instance, many editors have no command like 'If the file is not yet loaded, load it. Otherwise, bring the window with the file to the front'. If you are using an editor like this, clicking into the DVI file will always open a new editor, even if the TeX file is already open. Likewise, many editors have no command line argument that would allow KDVI to specify the exact line which you wish to edit.</p>\n"
"<p>If you feel that KDVI's support for a certain editor is inadequate, please contact the Trinity developers at www.trinitydesktop.org.</p>" ) );
    TQToolTip::add( kcfg_EditorCommand, tr2i18n( "Shell-command line used to start the editor." ) );
    TQWhatsThis::add( kcfg_EditorCommand, tr2i18n( "If you are using inverse search, KDVI uses this command line to start the editor. The field '%f' is replaced with the filename, and '%l' is replaced with the line number." ) );
    textLabel2->setText( tr2i18n( "Editor:" ) );
    urll->setText( tr2i18n( "What is 'inverse search'? " ) );
    urll->setProperty( "url", tr2i18n( "inv-search" ) );
}

/****************************************************************************
** optionDialogSpecialWidget_base meta object code from reading C++ file 'optionDialogSpecialWidget_base.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "optionDialogSpecialWidget_base.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *optionDialogSpecialWidget_base::className() const
{
    return "optionDialogSpecialWidget_base";
}

TQMetaObject *optionDialogSpecialWidget_base::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_optionDialogSpecialWidget_base( "optionDialogSpecialWidget_base", &optionDialogSpecialWidget_base::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString optionDialogSpecialWidget_base::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "optionDialogSpecialWidget_base", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString optionDialogSpecialWidget_base::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "optionDialogSpecialWidget_base", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* optionDialogSpecialWidget_base::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"optionDialogSpecialWidget_base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_optionDialogSpecialWidget_base.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* optionDialogSpecialWidget_base::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "optionDialogSpecialWidget_base" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool optionDialogSpecialWidget_base::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool optionDialogSpecialWidget_base::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool optionDialogSpecialWidget_base::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool optionDialogSpecialWidget_base::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
