#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgpresentation.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgpresentation.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqspinbox.h>
#include <ntqcheckbox.h>
#include <ntqcombobox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DlgPresentation as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgPresentation::DlgPresentation( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgPresentation" );
    DlgPresentationLayout = new TQVBoxLayout( this, 0, 6, "DlgPresentationLayout"); 

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    layout1 = new TQGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    kcfg_SlidesAdvanceTime = new TQSpinBox( groupBox1, "kcfg_SlidesAdvanceTime" );
    kcfg_SlidesAdvanceTime->setEnabled( FALSE );
    kcfg_SlidesAdvanceTime->setValue( 5 );

    layout1->addWidget( kcfg_SlidesAdvanceTime, 0, 1 );

    kcfg_SlidesAdvance = new TQCheckBox( groupBox1, "kcfg_SlidesAdvance" );

    layout1->addWidget( kcfg_SlidesAdvance, 0, 0 );

    kcfg_SlidesLoop = new TQCheckBox( groupBox1, "kcfg_SlidesLoop" );

    layout1->addWidget( kcfg_SlidesLoop, 2, 0 );
    groupBox1Layout->addLayout( layout1 );
    DlgPresentationLayout->addWidget( groupBox1 );

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    kcfg_SlidesTransition = new TQComboBox( FALSE, groupBox2, "kcfg_SlidesTransition" );

    groupBox2Layout->addWidget( kcfg_SlidesTransition, 1, 1 );

    textLabel1 = new TQLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 1, 0 );

    textLabel2 = new TQLabel( groupBox2, "textLabel2" );

    groupBox2Layout->addWidget( textLabel2, 2, 0 );

    kcfg_SlidesCursor = new TQComboBox( FALSE, groupBox2, "kcfg_SlidesCursor" );

    groupBox2Layout->addWidget( kcfg_SlidesCursor, 2, 1 );

    textLabel3 = new TQLabel( groupBox2, "textLabel3" );

    groupBox2Layout->addWidget( textLabel3, 0, 0 );

    kcfg_SlidesBackgroundColor = new KColorButton( groupBox2, "kcfg_SlidesBackgroundColor" );

    groupBox2Layout->addWidget( kcfg_SlidesBackgroundColor, 0, 1 );

    kcfg_SlidesShowSummary = new TQCheckBox( groupBox2, "kcfg_SlidesShowSummary" );

    groupBox2Layout->addMultiCellWidget( kcfg_SlidesShowSummary, 4, 4, 0, 1 );

    kcfg_SlidesShowProgress = new TQCheckBox( groupBox2, "kcfg_SlidesShowProgress" );

    groupBox2Layout->addMultiCellWidget( kcfg_SlidesShowProgress, 3, 3, 0, 1 );
    DlgPresentationLayout->addWidget( groupBox2 );
    bspace = new TQSpacerItem( 20, 1, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    DlgPresentationLayout->addItem( bspace );
    languageChange();
    resize( TQSize(294, 261).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_SlidesAdvance, TQ_SIGNAL( toggled(bool) ), kcfg_SlidesAdvanceTime, TQ_SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgPresentation::~DlgPresentation()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgPresentation::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Navigation" ) );
    kcfg_SlidesAdvanceTime->setSuffix( tr2i18n( " sec." ) );
    kcfg_SlidesAdvance->setText( tr2i18n( "Advance every:" ) );
    kcfg_SlidesLoop->setText( tr2i18n( "Loop after last page" ) );
    groupBox2->setTitle( tr2i18n( "Appearance" ) );
    kcfg_SlidesTransition->clear();
    kcfg_SlidesTransition->insertItem( tr2i18n( "Blinds Vertical" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Blinds Horizontal" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Box In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Box Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Dissolve" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Right" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Glitter Right-Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Random Transition" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Replace" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Split Horizontal In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Split Horizontal Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Split Vertical In" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Split Vertical Out" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Down" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Right" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Left" ) );
    kcfg_SlidesTransition->insertItem( tr2i18n( "Wipe Up" ) );
    textLabel1->setText( tr2i18n( "Default transition:" ) );
    textLabel2->setText( tr2i18n( "Mouse cursor:" ) );
    kcfg_SlidesCursor->clear();
    kcfg_SlidesCursor->insertItem( tr2i18n( "Hidden After Delay" ) );
    kcfg_SlidesCursor->insertItem( tr2i18n( "Always Visible" ) );
    kcfg_SlidesCursor->insertItem( tr2i18n( "Always Hidden" ) );
    textLabel3->setText( tr2i18n( "Background color:" ) );
    kcfg_SlidesBackgroundColor->setText( TQString::null );
    kcfg_SlidesShowSummary->setText( tr2i18n( "Show s&ummary page" ) );
    kcfg_SlidesShowProgress->setText( tr2i18n( "Show &progress indicator" ) );
}

/****************************************************************************
** DlgPresentation meta object code from reading C++ file 'dlgpresentation.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "dlgpresentation.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DlgPresentation::className() const
{
    return "DlgPresentation";
}

TQMetaObject *DlgPresentation::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DlgPresentation( "DlgPresentation", &DlgPresentation::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DlgPresentation::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DlgPresentation", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DlgPresentation::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DlgPresentation", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DlgPresentation::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DlgPresentation", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgPresentation.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DlgPresentation::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgPresentation" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DlgPresentation::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgPresentation::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DlgPresentation::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DlgPresentation::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
