#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'generalsettingswidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettingswidget.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "generalsettingswidget.ui.h"

/*
 *  Constructs a GeneralSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GeneralSettingsWidget::GeneralSettingsWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralSettingsWidget" );
    GeneralSettingsWidgetLayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "GeneralSettingsWidgetLayout"); 

    kcfg_Antialiasing = new TQCheckBox( this, "kcfg_Antialiasing" );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Antialiasing );

    kcfg_PlatformFonts = new TQCheckBox( this, "kcfg_PlatformFonts" );
    kcfg_PlatformFonts->setEnabled( TRUE );
    GeneralSettingsWidgetLayout->addWidget( kcfg_PlatformFonts );

    kcfg_Messages = new TQCheckBox( this, "kcfg_Messages" );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Messages );

    kcfg_Palette = new TQButtonGroup( this, "kcfg_Palette" );
    kcfg_Palette->setColumnLayout(0, TQt::Vertical );
    kcfg_Palette->layout()->setSpacing( KDialog::spacingHint() );
    kcfg_Palette->layout()->setMargin( KDialog::marginHint() );
    kcfg_PaletteLayout = new TQHBoxLayout( kcfg_Palette->layout() );
    kcfg_PaletteLayout->setAlignment( TQt::AlignTop );

    Mono = new TQRadioButton( kcfg_Palette, "Mono" );
    kcfg_Palette->insert( Mono, 2 );
    kcfg_PaletteLayout->addWidget( Mono );

    Gray = new TQRadioButton( kcfg_Palette, "Gray" );
    kcfg_Palette->insert( Gray, 1 );
    kcfg_PaletteLayout->addWidget( Gray );

    Color = new TQRadioButton( kcfg_Palette, "Color" );
    kcfg_Palette->insert( Color, 0 );
    kcfg_PaletteLayout->addWidget( Color );
    GeneralSettingsWidgetLayout->addWidget( kcfg_Palette );
    languageChange();
    resize( TQSize(397, 143).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettingsWidget::~GeneralSettingsWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettingsWidget::languageChange()
{
    kcfg_Antialiasing->setText( tr2i18n( "&Enable anti-aliasing of fonts and images" ) );
    TQWhatsThis::add( kcfg_Antialiasing, tr2i18n( "Anti-aliasing makes the result look better, but it makes the display take longer" ) );
    kcfg_PlatformFonts->setText( tr2i18n( "&Use platform fonts" ) );
    kcfg_Messages->setText( tr2i18n( "&Show Ghostscript messages in a separate box" ) );
    TQWhatsThis::add( kcfg_Messages, tr2i18n( "Ghostscript is the basic renderer (the program which draws the picture)<br>\n"
"In case of problems you might want to see its error messages" ) );
    kcfg_Palette->setTitle( tr2i18n( "Palette" ) );
    Mono->setText( tr2i18n( "&Monochrome" ) );
    Gray->setText( tr2i18n( "&Grayscale" ) );
    Color->setText( tr2i18n( "Co&lor" ) );
}

/****************************************************************************
** GeneralSettingsWidget meta object code from reading C++ file 'generalsettingswidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "generalsettingswidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *GeneralSettingsWidget::className() const
{
    return "GeneralSettingsWidget";
}

TQMetaObject *GeneralSettingsWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_GeneralSettingsWidget( "GeneralSettingsWidget", &GeneralSettingsWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString GeneralSettingsWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "GeneralSettingsWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString GeneralSettingsWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "GeneralSettingsWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* GeneralSettingsWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"GeneralSettingsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_GeneralSettingsWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* GeneralSettingsWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GeneralSettingsWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool GeneralSettingsWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool GeneralSettingsWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool GeneralSettingsWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool GeneralSettingsWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
